# Generated by rust2rpm 26
%bcond_without check

%global crate sequoia-sop

Name:           rust-sequoia-sop
Version:        0.32.0
Release:        %autorelease
Summary:        Implementation of the Stateless OpenPGP Interface using Sequoia

License:        GPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-sop
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * exclude files that are only useful for upstream development
Patch:          sequoia-sop-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An implementation of the Stateless OpenPGP Interface using Sequoia.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSL-1.0
# GPL-2.0-or-later
# LGPL-2.0-or-later
# LGPL-3.0 OR GPL-2.0 OR GPL-3.0
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        GPL-2.0-or-later AND BSL-1.0 AND LGPL-2.0-or-later AND MIT AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (LGPL-3.0 OR GPL-2.0 OR GPL-3.0) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{_bindir}/sqop
%{_mandir}/man1/sqop*
%{bash_completions_dir}/sqop.bash
%{fish_completions_dir}/sqop.fish
%{zsh_completions_dir}/_sqop

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cli-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cli-devel %{_description}

This package contains library source intended for building other packages which
use the "cli" feature of the "%{crate}" crate.

%files       -n %{name}+cli-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f cli

%build
%cargo_build -f cli
%{cargo_license_summary -f cli}
%{cargo_license -f cli} > LICENSE.dependencies

%install
%cargo_install -f cli
# install manual pages
mkdir -p %{buildroot}/%{_mandir}/man1
cp -pav man-sqop/* %{buildroot}/%{_mandir}/man1/
# install shell completions
install -Dpm 0644 target/release/build/%{crate}-*/out/sqop.bash \
    %{buildroot}/%{bash_completions_dir}/sqop.bash
install -Dpm 0644 target/release/build/%{crate}-*/out/sqop.fish \
    %{buildroot}/%{fish_completions_dir}/sqop.fish
install -Dpm 0644 target/release/build/%{crate}-*/out/_sqop \
    %{buildroot}/%{zsh_completions_dir}/_sqop

%if %{with check}
%check
%cargo_test -f cli
%endif

%changelog
%autochangelog
